Page 1 of 2 12 LastLast
Results 1 to 20 of 23
  1.    #1  
    So, I went ahead and the the Pre upgrade to 1.4 without uninstalling patches. I seem to have updated a bunch of them (including Preware itself) successfully, but all the ones that require a script have failed. I can't uninstall them, either, because that requires running a script.

    I see references to "EPR" but I don't know what that is, or how to run it.

    I really don't want to wipe my Pre if I don't have to. In fact, I'd rather live without these patches than have to deal with reinstalling and re-setting everything. (I did a wipe a couple of months ago, and it was a huge PITA.) But, I don't want a permanently unstable device or anything, either.

    Can anyone help me?

    If it matters, the non-updated, non-working patches are:

    * Enable landscape PDF viewer (which I gather hasn't been updated, but I'd prefer the placeholder to the broken patch if possible)
    * Virtual keyboard
    * Hide Nascar App
    * Add Date - MM/DD
    * All-Day Events in Months View
    * Default to Week View
    * Enable Add/Delete Pages
    * Open to Alarm List


    Thanks for any help.
  2. #2  
    From what I've been reading, there are some patches that no longer work with 1.4. I'm sure there will be updates soon but I did the same thing on the last update and accidentally forgot to remove a patch. I couldn't ever remove it or update it after the fact. This time, I did something even dumber and forgot to remove my theme. It screwed the whole thing up. I'm going to spend the evening with the doctor and re-install EVERYTHING. You may want to do the same thing if you want to get your pre working again. I'm running the doctor right now. Looks like it's moving along pretty quickly.
  3. #3  
    as long as your patches were up to date it wont be a problem because of the new AUPT (please dont ask me to explain do a search for it)
  4. #4  
    there is already updates for some of them patches in preware right now.
  5. #5  
    when it gives option to run a script,just hit ok.unless I am missing something here.
  6. #6  
    when I install something,,and I get screen that a script is reqired I just hit ok and it does its thing,,is that what's happening?
  7.    #7  
    Quote Originally Posted by zmann View Post
    when it gives option to run a script,just hit ok.unless I am missing something here.
    I say "okay", and it thinks a while, and then says

    Error Updating: See IPKG Log

    If I look at the log, it says, under Prerm:
    patching file usr/lib/luna/system/luna-systemui/app/controllers/bar-assistant.jsjsjs
    Unreversed patch detected! Ignore -R? [n]
    Apply anyway? [n]
    Skipping Patch.
    1 out of 1 hunk ignored -- saving rejects to file usr/lib/luna/system/luna-systemui/app/controllers/bar-assisstant.jsjsjs.$rej$

    and at the end, it says:
    Failed
    ErrorGenericMethodException: Failure during pre-removeal script execution

    And things remain as they are.

    The phone is working. As best as I can tell, I've only lost the functionality of those patches, which isn't a huge deal. But it makes me a little nervous. And I would like to get them back if and when they are updated.
  8. #8  
    did you try to unistall a patch individually? Let me say I don't claim to be a expert here,just trying to help,lol that being said,i have had good success figuring this patch stuff out.
  9.    #9  
    Yes, I've tried both the update and the uninstall each of those patches individually.

    All the patches that didn't require scripts worked when I did that. These are the ones that didn't.
  10.    #10  
    Oh, and a I have a new "symptom". When I plug it into my computer it doesn't ask me whether to put it into USB mode or whatever, it seems to automatically put it into "just charge". I'm worried that I won't be able to sync. (I've been using the Missing Sync with my Mac.)

    Never mind, the problem was just the cable. This is resolved.
    Last edited by puzzlegal; 03/01/2010 at 09:18 PM. Reason: found solution to this piece.
  11. #11  
    I m stumped,,i know there is away to fixs this with out wiping yr phone clean.
  12.    #12  
    Also, Filecoaster may be broken, but if Preware is working (and mostly it is) I don't think I need Filecoaster.
  13. #13  
    I this point,if this was me I would run epr,,then istall my patches again
  14. #14  
    make sure if you have a theme you uninstall it first
  15. #15  
    Did you update the package installer (you can do this within PreWare)? Remember Preware requires this to run, and there is an update after 1.4. Mine installed without issue.
    Also, did you update the entire list of packages? I did the same thing you did (update without uninstalling), and went to update packages and got the same errors posted above. If it's set to manual (to save time waiting forever each time you run PreWare,) remember the package list won't auto-update itself. Once you do you will see the list change, all the non-1.4 stuff will show up in unavailable (it's quite a few, and some I had installed). So far those are the only ones causing problems, and while I DID uninstall them in PreWare, MultiMod must have a ghost cause my browser is dormant. Regardless, WebOS Doctor hasn't been wiping everything out for a few revisions now I think (not since 1.2?).
  16. #16  
    So, I did the same thing and preware wasn't working. I used webOSdoctor to get back to 1.3.5.1 and then updated to 1.4. Now I can't seem to get preware to work correctly. I install the package manager service 1st, but when I go to install preware it says that I don't have package manager service installed. Any ideas?

    Edit: And if I wipe the phone and install everything using 1.3.5.1, preware works just fine.
    Last edited by cstang68; 03/01/2010 at 08:59 PM.
  17.    #17  
    I don't think I did update the package installer. How can I update the package installer?

    I see a package manager service, but the only option is gives me is "uninstall", and it says that if I do that Preware will stop working.

    And what is EPR and how does one run it?
    Last edited by puzzlegal; 03/01/2010 at 09:19 PM.
  18. azack's Avatar
    Posts
    104 Posts
    Global Posts
    134 Global Posts
    #18  
    i did the same thing and have a theme i cant get rid of..........
  19. NYBKPRE's Avatar
    Posts
    44 Posts
    Global Posts
    46 Global Posts
    #19  
    I didn't remove any patches and everything worked fine for me. I used these patches too. They all updated fine. Only thing I can think of is you were suppose to use AUPT and update preware before 1.4 dropped. Than use AUPT again after. Worked great for me. Pre is slightly faster

    Themes we share are
    * Add Date - MM/DD
    * All-Day Events in Months View
    * Enable Add/Delete Pages
  20. #20  
    epr is in preware,,it will remove all patches at once,,make sure you remove theme first if you have one
Page 1 of 2 12 LastLast

Posting Permissions